import { PropType } from 'vue';
export interface ImageFieldValue {
    [attributeName: string]: any;
    src?: string;
}
export interface ImageField {
    value?: ImageFieldValue;
    editable?: string;
}
export declare const Image: import("@vue/runtime-core").DefineComponent<{
    /** The image field data. */
    media: {
        type: PropType<ImageFieldValue | ImageField>;
        default(): ImageFieldValue | ImageField;
        required: true;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `media.editable` has a value, then `media.editable` will be processed
     * and rendered as component output. If false, `media.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Parameters that will be attached to Sitecore media URLs
     */
    imageParams: {
        type: PropType<{
            [paramName: string]: string;
        }>;
        default: () => {};
    };
    /**
     * Custom regexp that finds media URL prefix that will be replaced by `/-/jssmedia` or `/~/jssmedia`.
     * @example
     * /\/([-~]{1})assets\//i
     * /-assets/website -> /-/jssmedia/website
     * /~assets/website -> /~/jssmedia/website
     */
    mediaUrlPrefix: {
        type: RegExpConstructor;
        default: any;
    };
}, unknown, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").VNodeProps & import("@vue/runtime-core").AllowedComponentProps & import("@vue/runtime-core").ComponentCustomProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /** The image field data. */
    media: {
        type: PropType<ImageFieldValue | ImageField>;
        default(): ImageFieldValue | ImageField;
        required: true;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `media.editable` has a value, then `media.editable` will be processed
     * and rendered as component output. If false, `media.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Parameters that will be attached to Sitecore media URLs
     */
    imageParams: {
        type: PropType<{
            [paramName: string]: string;
        }>;
        default: () => {};
    };
    /**
     * Custom regexp that finds media URL prefix that will be replaced by `/-/jssmedia` or `/~/jssmedia`.
     * @example
     * /\/([-~]{1})assets\//i
     * /-assets/website -> /-/jssmedia/website
     * /~assets/website -> /~/jssmedia/website
     */
    mediaUrlPrefix: {
        type: RegExpConstructor;
        default: any;
    };
}>>, {
    media: ImageFieldValue | ImageField;
    editable: boolean;
    imageParams: {
        [paramName: string]: string;
    };
    mediaUrlPrefix: RegExp;
}, {}>;
