import { PropType } from 'vue';
export declare const RichText: import("@vue/runtime-core").DefineComponent<{
    /** The rich text field data. */
    field: {
        type: PropType<{
            value?: string;
            editable?: string;
        }>;
        default(): {
            value?: string;
            editable?: string;
        };
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable` will
     * be processed and rendered as component output.
     * If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, unknown, {}, {
    /**
     * Click handler for links.
     * @param {MouseEvent} event - event emmited by clicking the link
     */
    routeHandler(event: MouseEvent): void;
    /**
     * Extracts anchor elements and adds a custom click event
     * listener to prevent page refresh.
     */
    bindRouteLinks(): void;
}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").VNodeProps & import("@vue/runtime-core").AllowedComponentProps & import("@vue/runtime-core").ComponentCustomProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /** The rich text field data. */
    field: {
        type: PropType<{
            value?: string;
            editable?: string;
        }>;
        default(): {
            value?: string;
            editable?: string;
        };
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable` will
     * be processed and rendered as component output.
     * If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    editable: boolean;
    tag: string;
    field: {
        value?: string;
        editable?: string;
    };
}, {}>;
